get_uformat(3)

NAME
get_uformat - Finds out what text encoding format is currently selected. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_uformat(void);

DESCRIPTION
Finds out what text encoding format is currently selected. This function is probably useful only if you are writing an Allegro addon dealing with text strings and you use a different codepath for each possible format. Example:
   switch(get_uformat()) {
      case U_ASCII:
         do_something();
         break;
      case U_UTF8:
         do_something_else();
         break;
      ...
   }

RETURN VALUE
Returns the currently selected text encoding format. See the documentation of set_uformat() for a list of encoding formats.

SEE ALSO
set_uformat(3)